import { TypedSopNode } from './_Base';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class LineSopParamsConfig extends NodeParamsConfig {
    /** @param length of the line */
    length: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    /** @param number of points */
    pointsCount: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.INTEGER>;
    /** @param start position of the line */
    origin: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR3>;
    /** @param direction of the line */
    direction: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR3>;
}
export declare class LineSopNode extends TypedSopNode<LineSopParamsConfig> {
    params_config: LineSopParamsConfig;
    static type(): string;
    initializeNode(): void;
    cook(): void;
}
export {};
